From dd4f70ddcfb9395403e02b17ab92c3388ed373c1 Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Feb 04 2025 20:09:38 +0000
Subject: F-42: Update for branching


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index a864c54..7e33509 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,9 +217,9 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
       },
       {
@@ -228,9 +228,9 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT",
         "manifest_type": "dvd-ostree",
       },
@@ -240,9 +240,9 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
-        "ostree_ref": "fedora/rawhide/$arch/iot",
+        "ostree_ref": "fedora/devel/$arch/iot",
         "subvariant": "IoT_Simplified_Provisioner",
         "customizations": {"installation_device": "/dev/vda"},
         "failable": ["*"],
@@ -258,14 +258,14 @@ ostree = {
             "unified_core": True,
             "treefile": "fedora-iot.yaml",
             "config_url": "https://pagure.io/fedora-iot/ostree.git",
-            "config_branch": "main",
+            "config_branch": "f42",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"
+                "https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$basearch/os/"
             ]
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
-            "ostree_ref": "fedora/rawhide/${basearch}/iot",
+            "ostree_ref": "fedora/devel/${basearch}/iot",
             "runroot_packages": ["selinux-policy-targeted"],
             "arches": ["x86_64", "aarch64"],
             "update_summary": True,
@@ -276,18 +276,18 @@ ostree_container = {
     "^bootc$": {
         "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
         "config_url": "https://pagure.io/fedora-iot/base-images",
-        "config_branch": "main",
+        "config_branch": "f42",
         "treefile": "fedora-rawhide.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
         "failable": ['*'],
     },
     "^bootc-base$": {
         "version": "!OSTREE_VERSION_FROM_LABEL_DATE_TYPE_RESPIN",
         "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
-        "config_branch": "main",
+        "config_branch": "f42",
         "treefile": "fedora-iot-rawhide.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/rawhide/latest-Fedora-Rawhide/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/branched/latest-Fedora-42/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },
diff --git a/twoweek-nightly.sh b/twoweek-nightly.sh
index 7d8d312..0dbb13b 100755
--- a/twoweek-nightly.sh
+++ b/twoweek-nightly.sh
@@ -18,7 +18,7 @@ TMPDIR=`mktemp -d /tmp/$RELEASE.$DATE.XXXX`
 TOMAIL="iot@lists.fedoraproject.org"
 FROM="Fedora IoT Report <rawhide@fedoraproject.org>"
 RSYNCPREFIX="sudo -u ftpsync"
-RSYNCTARGET="/pub/alt/iot/rawhide/"
+RSYNCTARGET="/pub/alt/iot/branched/"
 OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-$RELEASE_TITLE/COMPOSE_ID)
 
 # assume a releng dir is a git checkout of the releng repo

